We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 14872

2.2 MicroBlaze, XMD - "Error: xmd.exe has generated errors and will be closed by Windows" appears in hardware mode after ISE 4.2i SP 3 is installed


Keywords: XMD, MicroBlaze, iMPACT, 4.2i SP3

Urgency: Standard

General Description:
XMD 2.2 does not work properly after I install 4.2i Service Pack 3 for ISE.

(Service Pack 2 for MDK 2.2 fixes this problem.)


Service Pack 2 for MDK 2.2 addresses the issues below.

NOTE: This service pack should only be installed over ISE 4.2i Service Pack 3.

This service pack includes the following bug fixes and enhancements:

- A bug that prevented XMD from working under iMPACT after 4.2i Service Pack 3 was installed is fixed.
- A bug that caused double comparisons to return erroneous values is fixed.
- A bug that caused the compiler to generate the immediate value for the ANDI instruction in hexadecimal mode, which led to the generation of incorrect IMM values by the assembler, is fixed.
- The timer peripheral has been updated.
- mb-objdump -S : Support for an "-S" option that will intermix source code with disassembled code has been added.

Service Pack 2 for MDK 2.2 for Windows is available at:

Service Pack 2 for MDK 2.2 for Solaris is available at
AR# 14872
Date Created 06/13/2002
Last Updated 04/23/2007
Status Archive
Type General Article